<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;lib.textlinenumber</h2>
<ul class="blockList">
<li class="blockList"><a id="lib.textlinenumber.TextLineNumber">
<!--   -->
</a>
<h3>Class <a href="lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">lib.textlinenumber.TextLineNumber</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>borderGap</h4>
<pre>int borderGap</pre>
</li>
<li class="blockList">
<h4>component</h4>
<pre>javax.swing.text.JTextComponent component</pre>
</li>
<li class="blockList">
<h4>currentLineForeground</h4>
<pre>java.awt.Color currentLineForeground</pre>
</li>
<li class="blockList">
<h4>digitAlignment</h4>
<pre>float digitAlignment</pre>
</li>
<li class="blockList">
<h4>fonts</h4>
<pre>java.util.HashMap&lt;java.lang.String,&#8203;java.awt.FontMetrics&gt; fonts</pre>
</li>
<li class="blockList">
<h4>lastDigits</h4>
<pre>int lastDigits</pre>
</li>
<li class="blockList">
<h4>lastHeight</h4>
<pre>int lastHeight</pre>
</li>
<li class="blockList">
<h4>lastLine</h4>
<pre>int lastLine</pre>
</li>
<li class="blockList">
<h4>minimumDisplayDigits</h4>
<pre>int minimumDisplayDigits</pre>
</li>
<li class="blockListLast">
<h4>updateFont</h4>
<pre>boolean updateFont</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;lib.xmleditor</h2>
<ul class="blockList">
<li class="blockList"><a id="lib.xmleditor.XmlEditor">
<!--   -->
</a>
<h3>Class <a href="lib/xmleditor/XmlEditor.html" title="class in lib.xmleditor">lib.xmleditor.XmlEditor</a> extends javax.swing.JFrame implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2623631186455160679L</dd>
</dl>
</li>
<li class="blockList"><a id="lib.xmleditor.XmlEditorKit">
<!--   -->
</a>
<h3>Class <a href="lib/xmleditor/XmlEditorKit.html" title="class in lib.xmleditor">lib.xmleditor.XmlEditorKit</a> extends javax.swing.text.StyledEditorKit implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2969169649596107757L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>xmlViewFactory</h4>
<pre>javax.swing.text.ViewFactory xmlViewFactory</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="lib.xmleditor.XmlTextPane">
<!--   -->
</a>
<h3>Class <a href="lib/xmleditor/XmlTextPane.html" title="class in lib.xmleditor">lib.xmleditor.XmlTextPane</a> extends javax.swing.JTextPane implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6270183148379328084L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>logger</h4>
<pre>java.util.logging.Logger logger</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;org.david.geo.style</h2>
<ul class="blockList">
<li class="blockList"><a id="org.david.geo.style.CustomColor">
<!--   -->
</a>
<h3>Class <a href="org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">org.david.geo.style.CustomColor</a> extends java.awt.Color implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>isNone</h4>
<pre>boolean isNone</pre>
<div class="block">indicate whether the Color is defnied or not in the <code>IsvgParser</code>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;org.david.model.isvgparser</h2>
<ul class="blockList">
<li class="blockList"><a id="org.david.model.isvgparser.ISvgParser">
<!--   -->
</a>
<h3>Class <a href="org/david/model/isvgparser/ISvgParser.html" title="class in org.david.model.isvgparser">org.david.model.isvgparser.ISvgParser</a> extends org.xml.sax.helpers.DefaultHandler implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5546581213676910281L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>arrayOfPrimitives</h4>
<pre>java.util.ArrayList&lt;<a href="org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt; arrayOfPrimitives</pre>
<div class="block">array of primitives parsed from isvg file.</div>
</li>
<li class="blockList">
<h4>bText</h4>
<pre>boolean bText</pre>
<div class="block">this boolean is true if there is characters after a XML object.</div>
</li>
<li class="blockList">
<h4>bTransform</h4>
<pre>boolean bTransform</pre>
<div class="block">is true if a "g" XML object is found in the document
 in order to set the translate coordinate and the angle of rotation
 to the concerned <code>Primitive</code>.</div>
</li>
<li class="blockList">
<h4>buffer</h4>
<pre>java.lang.StringBuilder buffer</pre>
<div class="block">useful string buffer to store the characters after a XML object.</div>
</li>
<li class="blockList">
<h4>errorHandler</h4>
<pre><a href="org/david/model/isvgparser/ISvgErrorHandler.html" title="class in org.david.model.isvgparser">ISvgErrorHandler</a> errorHandler</pre>
<div class="block">error handler of the SAX parser. all the errors will be treated
 by this error handler.</div>
</li>
<li class="blockList">
<h4>tempText</h4>
<pre><a href="org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a> tempText</pre>
<div class="block">temporary <code>Text</code> class.</div>
</li>
<li class="blockList">
<h4>tmpCircle</h4>
<pre><a href="org/david/geo/shapes/Circle.html" title="class in org.david.geo.shapes">Circle</a> tmpCircle</pre>
<div class="block">temporary <code>Circle</code> class.</div>
</li>
<li class="blockList">
<h4>tmpEllipse</h4>
<pre><a href="org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a> tmpEllipse</pre>
<div class="block">temporary <code>Ellipse</code> class.</div>
</li>
<li class="blockList">
<h4>tmpIsenMagic</h4>
<pre><a href="org/david/geo/image/Image.html" title="class in org.david.geo.image">Image</a> tmpIsenMagic</pre>
<div class="block">temporary <code>Image</code> class.</div>
</li>
<li class="blockList">
<h4>tmpLine</h4>
<pre><a href="org/david/geo/line/Line.html" title="class in org.david.geo.line">Line</a> tmpLine</pre>
<div class="block">temporary <code>Line</code> class.</div>
</li>
<li class="blockList">
<h4>tmpPolyGon</h4>
<pre><a href="org/david/geo/polyshapes/PolyGon.html" title="class in org.david.geo.polyshapes">PolyGon</a> tmpPolyGon</pre>
<div class="block">temporary <code>PolyGon</code> class.</div>
</li>
<li class="blockList">
<h4>tmpPolyLine</h4>
<pre><a href="org/david/geo/polyshapes/PolyLine.html" title="class in org.david.geo.polyshapes">PolyLine</a> tmpPolyLine</pre>
<div class="block">temporary <code>PolyLine</code> class.</div>
</li>
<li class="blockList">
<h4>tmpRectangle</h4>
<pre><a href="org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a> tmpRectangle</pre>
<div class="block">temporary <code>Rectangle</code> class.</div>
</li>
<li class="blockList">
<h4>tmpStyle</h4>
<pre><a href="org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a> tmpStyle</pre>
<div class="block">temporary <code>Style</code> class.</div>
</li>
<li class="blockListLast">
<h4>transform</h4>
<pre><a href="org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a> transform</pre>
<div class="block">store the values of translate coordinate and the angle of rotation.
 This class is given to the according temporary Primitive.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;org.david.vue.drawingzone</h2>
<ul class="blockList">
<li class="blockList"><a id="org.david.vue.drawingzone.DrawingZone">
<!--   -->
</a>
<h3>Class <a href="org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone">org.david.vue.drawingzone.DrawingZone</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>arrayOfPrimitives</h4>
<pre>java.util.ArrayList&lt;<a href="org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt; arrayOfPrimitives</pre>
<div class="block">a list of primitive to display on the graph.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;org.david.vue.isvgeditor</h2>
<ul class="blockList">
<li class="blockList"><a id="org.david.vue.isvgeditor.IsvgEditor">
<!--   -->
</a>
<h3>Class <a href="org/david/vue/isvgeditor/IsvgEditor.html" title="class in org.david.vue.isvgeditor">org.david.vue.isvgeditor.IsvgEditor</a> extends <a href="lib/xmleditor/XmlTextPane.html" title="class in lib.xmleditor">XmlTextPane</a> implements Serializable</h3>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;org.david.vue.window</h2>
<ul class="blockList">
<li class="blockList"><a id="org.david.vue.window.Window">
<!--   -->
</a>
<h3>Class <a href="org/david/vue/window/Window.html" title="class in org.david.vue.window">org.david.vue.window.Window</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>drawingZone</h4>
<pre><a href="org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone">DrawingZone</a> drawingZone</pre>
<div class="block">drawingZone at the left.</div>
</li>
<li class="blockList">
<h4>isAutoRefreshEnabled</h4>
<pre>java.lang.Boolean isAutoRefreshEnabled</pre>
<div class="block">auto refresh Boolean.</div>
</li>
<li class="blockList">
<h4>isvgEditor</h4>
<pre><a href="org/david/vue/isvgeditor/IsvgEditor.html" title="class in org.david.vue.isvgeditor">IsvgEditor</a> isvgEditor</pre>
<div class="block">isvg editor.</div>
</li>
<li class="blockList">
<h4>lineNumber</h4>
<pre><a href="lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a> lineNumber</pre>
<div class="block">line number on the side.</div>
</li>
<li class="blockList">
<h4>menubar</h4>
<pre>javax.swing.JMenuBar menubar</pre>
<div class="block">menu bar.</div>
</li>
<li class="blockList">
<h4>parser</h4>
<pre><a href="org/david/model/isvgparser/ISvgParser.html" title="class in org.david.model.isvgparser">ISvgParser</a> parser</pre>
<div class="block">isvg official parser.</div>
</li>
<li class="blockList">
<h4>scrollEditor</h4>
<pre>javax.swing.JScrollPane scrollEditor</pre>
<div class="block">scrollEditor.</div>
</li>
<li class="blockList">
<h4>splitPane</h4>
<pre>javax.swing.JSplitPane splitPane</pre>
<div class="block">split pane in the center.</div>
</li>
<li class="blockListLast">
<h4>toolbar</h4>
<pre>javax.swing.JToolBar toolbar</pre>
<div class="block">bottom toolbar.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
